SCORE_LASER1		equ	$00000250
SCORE_LASER2		equ	$00000250
SCORE_PLASMA1		equ	$00000250
SCORE_PLASMA2		equ	$00000250
SCORE_PLASMA3		equ	$00000250
SCORE_SHIELD1		equ	$00000250
SCORE_SHIELD2		equ	$00000250
SCORE_SHIELD3		equ	$00000250
SCORE_REARGUN1		equ	$00000250
SCORE_REARGUN2		equ	$00000250
SCORE_REARGUN3		equ	$00000250
SCORE_AUTO		equ	$00000250
SCORE_RADAR1		equ	$00000250
SCORE_RADAR2		equ	$00000250
SCORE_DRONE1		equ	$00000250
SCORE_DRONE2		equ	$00000250
SCORE_MINE1		equ	$00000250
SCORE_MINE2		equ	$00000250
SCORE_MINE3		equ	$00000250
SCORE_LAUNCHER1		equ	$00000250
SCORE_LAUNCHER2		equ	$00000250
SCORE_LAUNCHER3		equ	$00000250



	RSRESET
	RB	NOMESSAGE      
	RB	DAMAGE	       
	RB	REGENERATE     
	RB	VIEWMODE1      
	RB	VIEWMODE2      
	RB	VIEWMODE3      
	RB	VIEWMODE4      
	RB	VIEWMODE5      
	RB	POWERUPMESSAGE 
	RB	DATAPODMESSAGE 
	RB	DATABASEMESSAGE
	RB	EXITOPENMESSAGE
	RB	ACCESSDENIEDMESSAGE  
	RB	TELEPORTACTIVEMESSAGE
	RB	TOOHEAVYMESSAGE
	RB	LASERMK1MESSAGE
	RB	LASERMK2MESSAGE
	RB	PLASMAMK1MESSAGE
	RB	PLASMAMK2MESSAGE
	RB	PLASMAMK3MESSAGE
	RB	LAUNCHERMK1MESSAGE
	RB	LAUNCHERMK2MESSAGE
	RB	LAUNCHERMK3MESSAGE
	RB	REARGUNMK1MESSAGE
	RB	REARGUNMK2MESSAGE
	RB	REARGUNMK3MESSAGE
	RB	MINELAYERMK1MESSAGE
	RB	MINELAYERMK2MESSAGE
	RB	MINELAYERMK3MESSAGE
	RB	SHIELDMK1MESSAGE
	RB	SHIELDMK2MESSAGE
	RB	SHIELDMK3MESSAGE
	RB	RADARMK1MESSAGE
	RB	RADARMK2MESSAGE
	RB	DRONEMK1MESSAGE
	RB	DRONEMK2MESSAGE
	RB	AUTOTARGETMESSAGE



;*************************************************************************

FIRST_MESSAGE_SPRITE	equ	(418-1)	; 418 == !

	.68000
	.text

SHOW_HUD_MESSAGE:
		moveq	#0,d0
		move.b	HUDMESSAGE,d0
		dbf	d0,.a_message
.no_show:	rts
.a_message:	subq.w	#1,HUDTIMER
		bne.s	.not_out_of_time
		sf	HUDMESSAGE
		sf	HUDFLASH
		rts
.not_out_of_time:
		tst.b	HUDFLASH
		beq.s	.no_flash

		move.l	clock,d1		;change the flash rate
		lsr.w	#4,d1
		and.w	#1,d1
		beq.s	.no_show

.no_flash:	
		movem.l	d0-a6,-(sp)
		lsl.w	#2,d0			;*4
		lea	message_pointers,a6
		move.l	(a6,d0.w),a6
		move.l	rasterd,d0
		jsr	print_message_on_screen
		movem.l	(sp)+,d0-a6
		rts


message_pointers:
		dc.l	mes_dammage
		dc.l	mes_regenerate
		dc.l	mes_viewmode1
		dc.l	mes_viewmode2
		dc.l	mes_viewmode3
		dc.l	mes_viewmode4
		dc.l	mes_viewmode5
		dc.l	mes_powerup
		dc.l	mes_datapod
		dc.l	mes_database
		dc.l	mes_exitopen
		dc.l	mes_accessdenied
		dc.l	mes_teleportactive
		dc.l	mes_too_heavy
		dc.l	mes_laser_mk1
		dc.l	mes_laser_mk2
		dc.l	mes_plasma_mk1
		dc.l	mes_plasma_mk2
		dc.l	mes_plasma_mk3
		dc.l	mes_launcher_mk1
		dc.l	mes_launcher_mk2
		dc.l	mes_launcher_mk3
		dc.l	mes_rear_gun_mk1
		dc.l	mes_rear_gun_mk2
		dc.l	mes_rear_gun_mk3
		dc.l	mes_mine_layer_mk1
		dc.l	mes_mine_layer_mk2
		dc.l	mes_mine_layer_mk3
		dc.l	mes_shield_mk1
		dc.l	mes_shield_mk2
		dc.l	mes_shield_mk3
		dc.l	mes_radar_mk1
		dc.l	mes_radar_mk2
		dc.l	mes_drone_mk1
		dc.l	mes_drone_mk2
		dc.l	mes_autotarget
				 	







print_message_on_screen:
		
	movem.l	d0-d7/a0-a6,-(Sp)
	jsr	waitgpu
	jsr	waitblitter
	movem.l	(sp)+,d0-d7/a0-a6

	move.l	d0,A1_BASE
	move.l	#WID320|PIXEL16|PITCH4|XADDPIX,A1_FLAGS
	move.l	#0,B_PATD
	move.l	#0,B_PATD+4

	move.l	#WID16|PIXEL16|PITCH1|XADDPIX,A2_FLAGS
	lea	message_letters_offset,a4
.next:
	moveq	#0,d0
	move.b	(a6)+,d0
	cmp.b	#PEND,d0
	bne.s	.not_end
	rts
.not_end:
	cmp.b	#PCR,d0
	bne.s	.no_new_line
	move.w	print_x_cr,print_x_pos
	add.w	#2*font_height,print_y_pos
	bra.s	.next
.no_new_line:
	cmp.b	#PATY,d0
	bne.s	.no_new_y
	move.b	(a6)+,d0
	lsl.w	#2,d0
	move.b	(a6)+,d0
	move.w	d0,print_y_pos
	bra.s	.next
.no_new_y:
	cmp.b	#PCEN,d0
	beq	.calc_center

	sub.b	#32,d0
	bne.s	.not_space
	moveq	#0,d1
	move.b	(a4),d1	
	add.w	d1,print_x_pos
	bra	.next

.not_space:

.ok:	moveq	#0,d1
	move.b	(a4,d0.w),d1			;get the width
	
	add.w	#FIRST_MESSAGE_SPRITE,d0
	lea	level_sprites,a0
	jsr	get_addr_sprite
	move.l	d0,A2_BASE
	
	move.l	#0,A2_PIXEL
	move.l	print_y_pos,A1_PIXEL			;set pixel on screen
	add.w	d1,print_x_pos			;update position
	move.l	#(12*$10000)+16,B_COUNT
	move.l	#$10000|($ffff&(-16)),A1_STEP
	move.l	#DCOMPEN|SRCEN|DSTEN|UPDA1|LFU_S,B_CMD
	bra	.next

.calc_center:
	clr.w	print_x_pos
	pea	(a6)
.loop:	move.b	(a6)+,d0
	cmp.b	#PCR,d0
	beq.s	.end_cen
	moveq	#0,d1
	move.b	-32(a4,d0.w),d1			;get the width
	add.w	d1,print_x_pos			;update position
	bra.s	.loop
.end_cen:
	move.l	(sp)+,a6
	move.w	#320,d0
	sub.w	print_x_pos,d0
	asr.w	#1,d0
	move.w	d0,print_x_pos
	bra	.next

		.data


message_letters_offset:
		dc.b	12,05,11,12,12,12,12,06
		dc.b	09,09,10,11,06,10,05,12
		dc.b	12,09,12,12,12,12,12,12
		dc.b	12,12,05,06,07,10,07,12
		dc.b	10,12,12,12,12,12,12,12	;@abcdefg
		dc.b	12,05,12,12,12,12,12,12	;hijklmno
		dc.b	12,12,12,12,11,12,12,12 ;pqrstuvw
		dc.b	12,12,12,00,00,00,00,00	;xyz


mes_dammage:
		DC.B	PATY,0,60
		DC.B	PCEN,"DAMAGE CRITICAL",PCR,PEND
mes_regenerate:
		DC.B	PATY,0,60
		DC.B	PCEN,"REGENERATING",PCR,PEND
mes_viewmode1:
		DC.B	PATY,0,60
		DC.B	PCEN,"VIEW MODE 1",PCR,PEND
mes_viewmode2:
		DC.B	PATY,0,60
		DC.B	PCEN,"VIEW MODE 2",PCR,PEND
mes_viewmode3:
		DC.B	PATY,0,60
		DC.B	PCEN,"VIEW MODE 3",PCR,PEND
mes_viewmode4:
		DC.B	PATY,0,60
		DC.B	PCEN,"VIEW MODE 4",PCR,PEND
mes_viewmode5:
		DC.B	PATY,0,60
		DC.B	PCEN,"VIEW MODE 5",PCR,PEND
mes_powerup:
		DC.B	PATY,0,60
		DC.B	PCEN,"POWERUP COLLECTED",PCR,PEND
mes_datapod:
		DC.B	PATY,0,60
		DC.B	PCEN,"DATAPOD COLLECTED",PCR,PEND
mes_database:
		DC.B	PATY,0,60
		DC.B	PCEN,"DATABASE DESTROYED",PCR,PEND
mes_exitopen:
		DC.B	PATY,0,60
		DC.B	PCEN,"THE EXIT IS NOW OPEN",PCR,PEND
mes_accessdenied:
		DC.B	PATY,0,60
		DC.B	PCEN,"ACCESS DENIED",PCR,PEND
mes_teleportactive:
		dc.b	PATY,0,60
		dc.b	PCEN,"TELEPORTER IS NOW",PCR,"ACTIVE",PCR,PEND



mes_too_heavy:
		DC.B	PATY,0,60
		DC.B	PCEN,"THIS POWERUP CANNOT BE",PCR
		DC.B	PCEN,"FITTED TO YOUR TANK",PCR
		DC.B	PCEN,"BONUS : "
mess_too_num:	dc.b	"00000000",PCR,PEND

mes_laser_mk1:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 1 LASER",PCR,PEND

mes_laser_mk2:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 2 LASER",PCR,PEND

mes_plasma_mk1:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 1 PLASMA CANNON",PCR,PEND

mes_plasma_mk2:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 2 PLASMA CANNON",PCR,PEND

mes_plasma_mk3:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 2 PLASMA CANNON",PCR,PEND

mes_launcher_mk1:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 1 MISSILE LAUNCHER",PCR,PEND

mes_launcher_mk2:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 2 MISSILE LAUNCHER",PCR,PEND

mes_launcher_mk3:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 3 MISSILE LAUNCHER",PCR,PEND

mes_rear_gun_mk1:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 1 REAR LASER",PCR,PEND

mes_rear_gun_mk2:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 2 REAR LASER",PCR,PEND

mes_rear_gun_mk3:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 3 REAR LASER",PCR,PEND

mes_mine_layer_mk1:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 1 MINE LAYER",PCR,PEND

mes_mine_layer_mk2:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 2 MINE LAYER",PCR,PEND

mes_mine_layer_mk3:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 3 MINE LAYER",PCR,PEND

mes_shield_mk1:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 1 SHIELD",PCR,PEND

mes_shield_mk2:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 2 SHIELD",PCR,PEND
mes_shield_mk3:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 3 SHIELD",PCR,PEND


mes_radar_mk1:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 1 RADAR",PCR,PEND

mes_radar_mk2:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 2 RADAR",PCR,PEND

mes_drone_mk1:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 1 DRONE",PCR,PEND

mes_drone_mk2:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP A",PCR
		DC.B	PCEN,"MARK 2 DRONE",PCR,PEND

mes_autotarget:
		DC.B	PATY,0,60
		DC.B	PCEN,"YOU HAVE PICKED UP ",PCR
		DC.B	PCEN,"AUTOTARGETING",PCR,PEND








		even
