system_initalise:

	move.b	#DEMO_OFF,demo_mode
	sf	disable_reset
	move.l	#reset_vbl,LEVEL2.w
	
	move.l	#$00070007,d0
	move.l	d0,G_END
	move.l	d0,D_END

	moveq	#8,d0
	move.l	d0,G_CTRL
	move.l	d0,D_CTRL

	moveq	#0,d0
	move.l	d0,G_FLAGS
	


	bsr	LOAD_MUSIC

	sf	PAL_TV

	sf	mus
	sf	musloaded

	moveq	#0,d0
	moveq	#1,d1
	jsr	MUS_SET_VOLUME

	moveq	#0,d0
	moveq	#0,d1
	jsr	MUS_SET_VOLUME

	jsr	MUS_STARTUP
	jsr	MUS_STOP_MOD

	move.w	#5,sound_me
	
	
	move.w	PAL_NTSC,d0
	and.w	#%10000,d0
	bne.s	.its_ntsc

;set the display for PAL sytems


	st	PAL_TV
	
	lea	PAL_VIDEO(pc),a0

	bra.s	.cont

.its_ntsc:
	lea	NTSC_VIDEO(pc),a0

.cont:
	movem.w	(a0),d0-d6

	move.w	#-1,VI
	move.w	#-1,VDE
	move.w	d0,HDB1
	move.w	d1,HDB2

	move.w	d2,VDB
	move.w	d4,HDE


	move.w	d3,my_vde
	bset	#0,d3
	move.w	d3,VI
	move.w	d5,screen_height
	ext.l	d5
	move.l	d5,gpu_scr_height
	move.w	d6,screen_width
	move.w	d2,my_vdb

;generate windows for the game

	move.w	d5,d1
	lsr.w	#1,d1		;1/2 of the screen
	move.w	d1,d2
	neg.w	d2		;-1/2

	lea	cam_xy1,a1	; 1 player full screen
	move.w	d2,2(a1)	;-1/2
	move.w	d1,6(a1)	;+1/2
	move.w	d1,10(a1)	;+1/2
	
	move.w	d1,d0		;1/2
	lsr.w	#1,d1		;1/4
	move.w	d1,d2
	neg.w	d2		;-1/4

	lea	cam_xy3,a1	; 2 player split screen
	move.w	d2,2(a1)	;-1/4
	move.w	d1,6(a1)	;+1/4
	move.w	d1,10(a1)	;+1/4

	add.w	d1,d0
	lea	cam_xy2,a1
	move.w	d2,2(a1)	;-1/4
	move.w	d1,6(a1)	;+1/4
	move.w	d0,10(a1)	;+3/4

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	jsr	set_start_for_ol

	jsr	Setup_Initial_Branch
	Move.l	Dont_Know_What_This_Does_Pointer,a0
	Lea	16(a0),a0
	move.l	olist_view_pointer,a1
	Move.w	#BRA_VCEQ,d0
	Move.w	#$7ff,d1	
	Jsr	Make_Branch_Object
	

;	lea	dummy_pal+2,a0
;	lea	view_pal,a1
;	move.w	#256-1,d0
;.lop1:
;	move.w	(a0)+,(a1)+
;	dbf	d0,.lop1
;	moveq	#0,d0
;	move.w	d0,view_pal
;	st	NEW_PALETTE


	move.w	d0,BG
	move.l	d0,BORD1

	
	clr.l	gpu_routine_addr
	sf	mapper_on

;set up the vbl interrupt

	move.l	#hum_70_vbl,LEVEL2.w

	moveq	#1,d1
	move.w	d1,INT1
	move.w	d1,INT2
	move.w	#999,PIT0
	move.w	#531,PIT1

	move.w	sr,d0
	and.w	#$f8ff,d0
	move.w	d0,sr

 	jsr	read_joypad

	move.w	#$6c1,VMODE

	jsr	RESET_HUD_MESSAGES

	jsr	find_sfx
	jsr	relocate_rom_vdf_files

	jsr	initialise_song_bank
	rts



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;	CONSTANTS FOR VIDEO INITIALIZATION		;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

NTSC_VIDEO:	dc.w	ntsc_n_hdb1,ntsc_n_hdb2
		dc.w	ntsc_n_vdb,ntsc_n_vde
		dc.w	ntsc_n_hde
		dc.w	disp_height,320
		dc.w	40,239

PAL_VIDEO:	dc.w	pal_n_hdb1,pal_n_hdb2
		dc.w	pal_n_vdb,pal_n_vde
		dc.w	pal_n_hde
		dc.w	(disp_height+disp_change),320
		dc.w	64,193

LOAD_MUSIC:	lea	MUS_ORG.w,a0
		lea	music_start,a1
		lea	music_end,a2
.loop:		move.l	(a1)+,(a0)+
		cmp.l	a1,a2
		bne.s	.loop
		rts
		
	

	.data
		even


music_start:	
		incbin	"jag\\seedy\\syn5.bin"
music_end:

		even

      	.bss
PAL_TV:		ds.b	1
	even
	.data
