*************** Calculate Height Of Object Origins Above Floor ***************

* Notes:

******************************** Code Section ********************************

		text
		.68000

***************************** Calculating Heights ****************************

getheights:	move.l	(a0)+,d0		;goes through a table of
		beq.s	.done			;vdf files, putting the heights
		move.l	d0,a6			;into variables
		move.l	(a0)+,a5
		bsr.s	calcheight
		move.l	d7,(a5)
		bra.s	getheights
.done:
		rts

calcheight:	addq.l	#4,a6			;looks through a VDF file
		move.w	(a6)+,d6		;to find the lowest ycoord
		subq.w	#1,d6			;then negates it to get
		move.w	2(a6),d7		;origin height above floor
.findheight:
		cmp.w	2(a6),d7
		ble.s	.nope
		move.w	2(a6),d7
.nope:
		lea	12(a6),a6
		dbf	d6,.findheight
		ext.l	d7
		neg.l	d7
		rts



