**************************** Karl's Jaguar Equates ***************************

* Notes:

******************************** Control Equates *****************************

persp		equ	8
maxpoints	equ	1500		;maximum number of points
maxshaded	equ	2000		;maximum number of shaded polygons
maxtextured	equ	500		;maximum number of textured polygons

endram		equ	$200000
rastersize	equ	(320*280)
stacksize	equ	4*1024

flatmode	equ	$0000		;various modes for the polygon draws
shadedmode	equ	$4000
texturedmode	equ	$8000

********************************* GPU Equates ********************************

viewxcoord	equ	G_RAM
viewycoord	equ	viewxcoord+4
viewzcoord	equ	viewycoord+4

viewxx		equ	viewzcoord+4
viewxy		equ	viewxx+4
viewxz		equ	viewxy+4
viewyx		equ	viewxz+4
viewyy		equ	viewyx+4
viewyz		equ	viewyy+4
viewzx		equ	viewyz+4
viewzy		equ	viewzx+4
viewzz		equ	viewzy+4

viewlx		equ	viewzz+4
viewly		equ	viewlx+4
viewlz		equ	viewly+4
viewhx		equ	viewlz+4
viewhy		equ	viewhx+4
viewhz		equ	viewhy+4

shapeitem	equ	viewhz+4
shapelist	equ	shapeitem+4
shapepoints	equ	shapelist+4

nextshaded	equ	shapepoints+4
nexttextured	equ	nextshaded+4

clx		equ	nexttextured+4
cly		equ	clx+4
chx		equ	cly+4
chy		equ	chx+4
gox		equ	chy+4
goy		equ	gox+4

rasterd		equ	goy+4

rezz		equ	rasterd+4

numpoints	equ	rezz+4
colour		equ	numpoints+4
pixelmap	equ	colour+4
points1		equ	pixelmap+4
points2		equ	points1+(24*20)		;up to 24 points per polygon
lasty		equ	points2+(24*20)
lastpoint	equ	lasty+4
INBUF		equ	lastpoint+4
pp_in		equ	INBUF
pp_out		equ	INBUF+4
pp_errors	equ	INBUF+8
pp_crc		equ	INBUF+12
pp_semaphore	equ	INBUF+16
semaphore	equ	pp_semaphore+4
gpu_scr_height	equ	semaphore+4
endvars		equ	gpu_scr_height+4

gpuprog		equ	(endvars&$fffffff8)+8

***************************** Texture Width Equates **************************

screenpixelmap	equ	PITCH4|PIXEL16|WID320|XADDINC

pixelmapwidth32	equ	PITCH1|PIXEL16|WID32|XADDINC
pixelmapwidth48	equ	PITCH1|PIXEL16|WID48|XADDINC
pixelmapwidth64	equ	PITCH1|PIXEL16|WID64|XADDINC

