	.text
MIN_X	equ	143
MIN_Y	equ	19	
COL_X	equ	MIN_X+16
COL_Y	equ	MIN_Y+1	
SEC_X	equ	COL_X+3
SEC_Y	equ	MIN_Y

clock_update:
	tst.b	clock_on
	beq.s	.no_wrap
	tst.w	minutes
	beq.s	.no_wrap
	move.l	clock,d0
	moveq	#60,d1
	tst.b	PAL_TV
	beq.s	.ntsc
	moveq	#50,d1
.ntsc:	divu	d1,d0
	swap	d0
	tst.w	d0
	bne.s	.no_wrap
.a_sec:
	subq.b	#1,seconds
	bpl.s	.no_wrap
	add.b	#60,seconds
	subq.b	#1,minutes
.no_wrap:
	rts



display_clock:
	pea	(a0)

	move.w	#MIN_X,d0
	move.w	#MIN_Y,d1
	moveq	#0,d4
	move.b	minutes,d4
	add.w	#SCORE_DIGIT_SPRITES,d4
	
	lea	level_sprites,a0
	jsr	print_a_sprite_normal_no_clip

	move.w	#COL_X,d0
	move.w	#COL_Y,d1
	move.w	#SCORE_DIGIT_SPRITES-1,d4
	lea	level_sprites,a0
	jsr	print_a_sprite_normal_no_clip

	move.w	#SEC_X,d0
	move.w	#SEC_Y,d1
	moveq	#0,d4
	move.b	seconds,d4
	add.w	#SCORE_DIGIT_SPRITES,d4
	
	lea	level_sprites,a0
	jsr	print_a_sprite_normal_no_clip

	move.l	(sp)+,a0
	rts



	bss

	even

minutes:	ds.b	1
seconds:	ds.b	1
clock_on:	ds.b	1

		even
