EMMY	equ	1
.text

;the plasma gun does not work yet

SHIELD_TIME	equ	(15*2)		;2 seconds at 15 frames per second..


MAX_WEAPON	equ	5
PLASMA_SCALER	equ	16

TOGGLE_WEAPONS	equ	FIRE_A
FIRE_WEAPON	equ	FIRE_B
FIRE_SHIELD	equ	FIRE_C
	
TOGGLE_MAP	equ	KEY_7


		.68000
		.text


toggle_weapons:
		IF EMMY
		bsr	check_cheat
		ENDIF
		move.l	ioweapons(a0),a6
		tst.b	WEAPON_ACTIVE(a6)
		bne.s	.toggle_weapons
		st	WEAPON_ACTIVE(a6)
		moveq	#0,d0
		move.b	WEAPON_SHIELD(a6),d0
		mulu	#10,d0
		move.b	d0,WEAPON_SHIELD_NUMBER(a6)
		move.b	#MAX_WEAPON-1,WEAPON_NUMBER(a6)
		moveq	#0,d0
		or.b	WEAPON_LASER_L(a6),d0	;if any are not 0
		or.b	WEAPON_LASER_R(a6),d0	;then we have some
		or.b	WEAPON_PLASMA(a6),d0	;weapons mounted
		or.b	WEAPON_MISSILE_L_NUMBER(a6),d0
		or.b	WEAPON_MISSILE_R_NUMBER(a6),d0
		bne.s	.change_weapons
		tst.b	WEAPON_BACK(a6)
		beq.s	.nothing
		cmp.b	#4,WEAPON_BACK(a6)
		blt.s	.change_weapons
		tst.b	WEAPON_MINE(a6)
		bne.s	.change_weapons
.nothing:	move.b	#-1,WEAPON_NUMBER(a6)  	;else no weapons
		rts


.toggle_weapons:
		move.l	iocontroller(a0),a6
		move.l	4(a6),d1		;read cur/edge
		move.l	#1<<TOGGLE_MAP,d0
		and.l	d1,d0
		beq.s	.not_toggle_map
		move.l	ioweapons(a0),a6	;weapons structure
		not.b	MAP_VISIBLE(a6)
.not_toggle_map:
		and.l	#1<<TOGGLE_WEAPONS,d1
		bne.s	.change_weapons
.nothing_mounted:
		rts
FORCED_CHANGE	equ	*
.change_weapons:
		move.l	ioweapons(a0),a6
		move.b	WEAPON_NUMBER(a6),d7
.try_the_next:	moveq	#1,d0
		add.b	WEAPON_NUMBER(a6),d0	;if it was -1 then nothing mounted
		beq.s	.nothing_mounted
		cmp.b	#MAX_WEAPON,d0
		bne.s	.no_wrap
		moveq	#0,d0
.no_wrap:	move.b	d0,WEAPON_NUMBER(a6)
		ext.w	d0			;convert number for mounting
		moveq	#0,d1
		move.b	.table_1(pc,d0.w),d1	;if 0 then no weapon there
		cmp.b	#WEAPON_BACK,d1
		beq.s	.back_is_special
		tst.b	(a6,d1.w)
		bne.s	.ok
		move.b	.table_2(pc,d0.w),d1
		tst.b	(a6,d1.w)
.cont:		beq.s	.try_the_next
.ok:		rts

.table_1:	dc.b	WEAPON_LASER_L,WEAPON_PLASMA,WEAPON_MISSILE_L_NUMBER,WEAPON_MISSILE_R_NUMBER,WEAPON_BACK	
.table_2:	dc.b	WEAPON_LASER_R,WEAPON_PLASMA,WEAPON_MISSILE_L_NUMBER,WEAPON_MISSILE_R_NUMBER,WEAPON_BACK	

.back_is_special:
		tst.b	(a6,d1.w)
		beq.s	.try_the_next	;if nothing is mounted here
		cmp.b	#4,(a6,d1.w)
		bge.s	.its_a_mine
		rts			;if rear gun then infinite ammo
.its_a_mine:	tst.b	WEAPON_MINE(a6)
		bra.s	.cont

	even



fire_weapons:
		move.l	ioweapons(a0),a6		;point to players weapons
		move.l	iocontroller(a0),a5
		tst.b	WEAPON_NUMBER(a6)
		bmi.s	.no_normal_fire
.valid:		tst.b	WEAPON_PLASMA_POWER(a6)
		beq.s	.no_charging_plasma
		move.l	#1<<FIRE_WEAPON,d0
		and.l	(a5),d0
		beq.s	.discharge_plasma_gun
		
		moveq	#0,d0
		move.b	WEAPON_PLASMA(a6),d0
		add.b	d0,WEAPON_PLASMA_POWER(a6)
		
		mulu	#PLASMA_SCALER,d0
		cmp.b	WEAPON_PLASMA_POWER(a6),d0
		bgt.s	.no_charging_plasma
		move.b	d0,WEAPON_PLASMA_POWER(A6)
		bra.s	.no_charging_plasma
.discharge_plasma_gun:
		moveq	#0,d0
		move.b	WEAPON_PLASMA_POWER(a6),d0
		sf	WEAPON_PLASMA_POWER(a6)		;turn it off
		lea	fire_plasma,a4
		bsr	fire_this_weapon

.no_charging_plasma:
		move.l	#1<<FIRE_WEAPON,d0		;see if we need to fire
		and.l	4(a5),d0
		beq.s	.no_normal_fire
		bsr.s	.fire_current_weapon
.no_normal_fire:
		tst.w	ioshield(a0)			;is shield active
		bne	.no_shield			;yes then no fire
		tst.b	WEAPON_SHIELD_TIMER(A6)
		beq.s	.yes
		subq.b	#1,WEAPON_SHIELD_TIMER(a6)
		rts
.yes:		move.l	#1<<FIRE_SHIELD,d0
		and.l	4(a5),d0
		bne	.fire_shield_weapon
		rts

	
.fire_current_weapon:
		moveq	#0,d0
		move.b	WEAPON_NUMBER(a6),d0
		lsl.w	#2,d0
		move.l	.mount_table(pc,d0.w),a4
		jsr	(a4)
		rts
.mount_table:	dc.l	.lasers
		dc.l	.plasma
		dc.l	.missile_l
		dc.l	.missile_r
		dc.l	.back

.lasers:	moveq	#0,d0
		move.b	WEAPON_LASER_L(a6),d0
		lea	fire_laser_l,a4
		bsr	fire_this_weapon
		
		moveq	#0,d0
		move.b	WEAPON_LASER_R(a6),d0
		lea	fire_laser_r,a4
		bra	fire_this_weapon

.plasma:	move.b	#1,WEAPON_PLASMA_POWER(a6)	;start to power up
		rts

.back:		moveq	#0,d0
		move.b	WEAPON_BACK(a6),d0
		cmp.w	#4,d0
		bge.s	.back_mines
		lea	fire_back_gun,a4
		bra	fire_this_weapon

.back_mines:	subq	#3,d0			;returns 1,2,3
		cmp.b	WEAPON_MINE(a6),d0	;if not enough mines
		blt.s	.enough_mines		;then drop all that
		move.b	WEAPON_MINE(a6),d0	;the player has

.enough_mines:
		sub.b	d0,WEAPON_MINE(a6)
		bne.s	.still_mines
		jsr	create_new_ship
.still_mines:	lea	fire_back_mine,a4
		bsr	fire_this_weapon
		moveq	#WEAPON_MINE,d0
		bra	run_out_of_weapons



.missile_l:	subq.b	#1,WEAPON_MISSILE_L_NUMBER(a6)
		bpl.s	.okl
		sf	WEAPON_MISSILE_L_NUMBER(a6)
		rts
.okl:		bne.s	.still_some
		sf	WEAPON_LAUNCHER_L(a6)
		jsr	create_new_ship
.still_some:	moveq	#0,d0
		move.b	WEAPON_MISSILE_L_TYPE(a6),d0
		lea	fire_missile_L,a4
		bsr	fire_this_weapon
		moveq	#WEAPON_MISSILE_L_NUMBER,d0
		bra	run_out_of_weapons

.missile_r:	subq.b	#1,WEAPON_MISSILE_R_NUMBER(a6)
		bpl.s	.okr
		sf	WEAPON_MISSILE_R_NUMBER(a6)
		rts
.okr:		bne.s	.still_somer
		sf	WEAPON_LAUNCHER_R(a6)
		jsr	create_new_ship
.still_somer:	moveq	#0,d0
		move.b	WEAPON_MISSILE_R_TYPE(a6),d0
		lea	fire_missile_R,a4
		bsr.s	fire_this_weapon
		moveq	#WEAPON_MISSILE_R_NUMBER,d0
		bra.s	run_out_of_weapons


.fire_shield_weapon:
		tst.b	WEAPON_SHIELD(a6)
		bne.s	.ok
		rts
.ok:		move.b	#10<<SHIELD_SHIFT,WEAPON_SHIELD_TIMER(a6)
		subq.b	#1,WEAPON_SHIELD_NUMBER(a6)	;have any shield left
		bne.s	.s_ok				;no - then exit
		sf	WEAPON_SHIELD_NUMBER(a6)
		moveq	#0,d0
		move.b	WEAPON_SHIELD(a6),d0
		sf	WEAPON_SHIELD(a6)
		mulu	#SHIELD_TIME,d0
		move.w	d0,ioshield(a0)
		jmp	create_new_ship
.s_ok:		moveq	#0,d0		    		;else set the timer
		move.b	WEAPON_SHIELD(a6),d0		;to activate the shield
		mulu	#SHIELD_TIME,d0
		move.w	d0,ioshield(a0)
.no_shield:	rts

fire_this_weapon:
		tst.b	d0
		bne.s	.active
		rts
.active:
		moveq	#0,d1
		move.b	PLAYER_SHIP(a6),d1
		move.l	(a4)+,a3			;get Karls routine
		mulu	#6,d1				;pointer for ships weight
		add.w	d1,a4				;correct mounting point for this tank
		move.w	d0,d3		  		;set the power
		movem.w	(a4)+,d0/d1/d2			;get power
		movem.w	d0/d1/d2/d3,iobarrelx(a0)	;save the stuff for karl
		
		;move.l	#$00000010,d7
		;jsr	ADD_TO_SCORE
	
		movem.l	d0-a6,-(sp)			;just in..
		jsr	(a3)				;create the object
		movem.l	(sp)+,d0-a6
		rts

run_out_of_weapons:
		tst.b	(a6,d0.w)
		bne.s	.no_new_one
		bsr.s	any_more_ammo
		bne	FORCED_CHANGE
.no_new_one:	rts
		

any_more_ammo:	tst.b	(a6,d0.w)
		bne.s	.exit
		move.b	WEAPON_LASER_L(a6),d0		; if we have any of the
		or.b	WEAPON_LASER_R(a6),d0		; then good we have got 
		or.b	WEAPON_PLASMA(a6),d0		; infinite weapons
		bne.s	.yes	
		or.b	WEAPON_MISSILE_L_NUMBER(a6),d0	; have we any missiles
		or.b	WEAPON_MISSILE_R_NUMBER(a6),d0	;
		bne.s	.yes
  		or.b	WEAPON_BACK(a6),d0		;if we dont have a rear 
		beq.s	.no				;gun/mine layer

		cmp.b	#4,d0
		blt.s	.yes				;read gun
		tst.b	WEAPON_MINE(a6)			;if minelayer - have we any mines
		beq.s	.no
.yes:		moveq	#-1,d7
		rts
.no:		st	WEAPON_NUMBER(a6)
		moveq	#0,d7
.exit:		rts

	IF EMMY

check_cheat:	movem.l	d0-a6,-(sp)
		move.l	ioweapons(a0),a6
		move.l	iocontroller(a0),a5
		move.l	4(a5),d1
		and.l	#1<<HASH,d1
		beq	.exit
		move.b	PLAYER_SHIP(a6),d0
		cmp.b	#2,d0
		beq	.heavy_tank
		cmp.b	#1,d0
		beq	.medium_tank
.light_tank:
		sf	WEAPON_PLASMA_POWER(A6)
		move.b	#2,WEAPON_LASER_L(a6)
		move.b	#1,WEAPON_PLASMA(a6)
		move.b	#1,WEAPON_LAUNCHER_L(a6)
		move.b	#2,WEAPON_MISSILE_L_TYPE(a6)
		move.b	#10,WEAPON_MISSILE_L_NUMBER(a6)
		move.b	#4,WEAPON_BACK(a6)
		move.b	#10,WEAPON_MINE(a6)
		move.b	#1,WEAPON_SHIELD(a6)
		move.b	#10,WEAPON_SHIELD_NUMBER(A6)
		move.b	#2,WEAPON_DRONE(a6)
		move.b	#2,WEAPON_RADAR(a6)
		move.b	#1,WEAPON_AUTO(a6)
		bra	.exit
.medium_tank:
		sf	WEAPON_PLASMA_POWER(A6)
		move.b	#2,WEAPON_LASER_L(a6)
		move.b	#2,WEAPON_LASER_R(a6)
		move.b	#2,WEAPON_PLASMA(a6)
		move.b	#2,WEAPON_LAUNCHER_L(a6)
		move.b	#2,WEAPON_MISSILE_L_TYPE(a6)
		move.b	#20,WEAPON_MISSILE_L_NUMBER(a6)
		move.b	#5,WEAPON_BACK(a6)
		move.b	#20,WEAPON_MINE(a6)
		move.b	#2,WEAPON_SHIELD(a6)
		move.b	#20,WEAPON_SHIELD_NUMBER(A6)
		move.b	#2,WEAPON_DRONE(a6)
		move.b	#2,WEAPON_RADAR(a6)
		move.b	#1,WEAPON_AUTO(a6)
		bra	.exit
.heavy_tank:
		sf	WEAPON_PLASMA_POWER(A6)
		move.b	#2,WEAPON_LASER_L(a6)
		move.b	#2,WEAPON_LASER_R(a6)
		move.b	#3,WEAPON_PLASMA(a6)
		move.b	#2,WEAPON_LAUNCHER_L(a6)
		move.b	#2,WEAPON_MISSILE_L_TYPE(a6)
		move.b	#20,WEAPON_MISSILE_L_NUMBER(a6)
		move.b	#2,WEAPON_LAUNCHER_R(a6)
		move.b	#2,WEAPON_MISSILE_R_TYPE(a6)
		move.b	#20,WEAPON_MISSILE_R_NUMBER(a6)
		move.b	#6,WEAPON_BACK(a6)
		move.b	#30,WEAPON_MINE(a6)
		move.b	#3,WEAPON_SHIELD(a6)
		move.b	#30,WEAPON_SHIELD_NUMBER(A6)
		move.b	#2,WEAPON_DRONE(a6)
		move.b	#2,WEAPON_RADAR(a6)
		move.b	#1,WEAPON_AUTO(a6)
.exit:		movem.l	(sp)+,d0-a6
		rts
	ENDIF
		.data

;format of entry ==
; dc.l	routine
; dc.w	lx,ly,lz
; dc.w	mx,my,mz
; dc.w	hx,hy,hz
; dc.w	-1,-1,-1 means this mounting doesn't exist

fire_laser_r:
		dc.l	createplayerfrontlasers
		dc.w	-1,-1,-1
		dc.w	5,-10,500
		dc.w	120,80,500
fire_laser_l:
		dc.l	createplayerfrontlasers
		dc.w	0,10,550
		dc.w	-100,50,500
		dc.w	-120,80,500
fire_plasma:
		dc.l	createplayerplasma
		dc.w	0,150,180
		dc.w	-10,100,300
		dc.w	0,160,300
fire_back_gun:
		dc.l	createplayerrearlasers
		dc.w	0,0,-400
		dc.w	0,0,-500
		dc.w	0,30,-500
fire_back_mine:
		dc.l	createplayermine
		dc.w	0,0,-400
		dc.w	0,0,-500
		dc.w	0,30,-500
fire_missile_L:
		dc.l	createplayermissile
		dc.w	-170,150,100
		dc.w	90,100,300
		dc.w	-110,130,-50
fire_missile_R:
		dc.l	createplayermissile
		dc.w	-1,-1,-1
		dc.w	-1,-1,-1
		dc.w	110,130,-50



