MAX_ROOMS_AVAILABLE	equ	20


DEMO_OFF	equ	0
DEMO_RECORD	equ	1
DEMO_REPLAY	equ	2
DEMO_RERUN	equ	3

LAST_LEVEL	equ	20

GAME_LEVEL	equ	0
FRONTEND_LEVEL	equ	1
OPTIONS_LEVEL	equ	2
TITLE_LEVEL	equ	3
HISCORE_LEVEL	equ	4
PREPARE_LEVEL	equ	5
SCORING_LEVEL	equ	6

SFX_LONG_EXPLOSION	EQU	0
SFX_BIG_EXPLOSION	EQU	1
SFX_SMALL_EXPLOSION	EQU	2
SFX_PLAYER_HIT		EQU	3

SFX_PLAYER_LASER	EQU	4

SFX_DOOR		EQU	5
SFX_SWITCH		EQU	6

SFX_COLLECT		EQU	7

SFX_BOUNCE		EQU	8
SFX_ENEMY_TANK_LASER	EQU	9
SFX_ENEMY_TURRET_LASER	EQU	10

SFX_LOCK_ON_BLEEP	EQU	11

SFX_UP_BLEEP		equ	12
SFX_DOWN_BLEEP		equ	13
SFX_LEFT_BLEEP		equ	14
SFX_RIGHT_BLEEP	equ	15
SFX_SELECT_BLEEP	equ	16
SFX_DIGIT_BLEEP	equ	17

SAY_GAME_OVER		EQU	18
SAY_DAMAGE_CRITICAL	equ	19
SAY_ENTER_MATRIX	equ	20

SFX_WARP		equ	21

SFX_TUNNEL_EXIT		equ	22
SFX_SAY_EXIT_OPEN	equ	23

		RSRESET

	RSB	WEAPON_LASER_L,1
	RSB	WEAPON_LASER_R,1
	
	RSB	WEAPON_PLASMA,1

	RSB	WEAPON_LAUNCHER_L,1
	RSB	WEAPON_LAUNCHER_R,1
	
	RSB	WEAPON_PLASMA_POWER,1
	RSB	WEAPON_MISSILE_L_TYPE,1
	RSB	WEAPON_MISSILE_L_NUMBER,1
	RSB	WEAPON_MISSILE_R_TYPE,1
	RSB	WEAPON_MISSILE_R_NUMBER,1

	RSB	WEAPON_MINE,1
	RSB	WEAPON_BACK,1
	RSB	WEAPON_SHIELD,1
	RSB	WEAPON_SHIELD_NUMBER,1
	RSB	WEAPON_SHIELD_TIMER,1
	RSB	WEAPON_DRONE,1
	RSB	WEAPON_RADAR,1

	RSB	WEAPON_AUTO,1

	RSB	WEAPON_ACTIVE,1
	RSB	WEAPON_NUMBER,1

	RSB	PLAYER_SHIP,1
	
	RSB	PLAYER_ROOMS,MAX_ROOMS_AVAILABLE
	RSB	MAP_VISIBLE,1
	RSEVEN

	RSL	PLAYER_SCORE,1

	RSW	PLAYER_LIVES,1

	RSW	CROSSX,1
	RSW	CROSSY,1

	RSW	AIMMATRIX,9

	RSB	WEAPON_SIZE,0



NUMBER_OF_LIVES		equ	3




world_volume		equ	1024*60

OBJECT_ACTIVE_RANGE	equ	(20000)

MAX_CAMERAS_VISIBLE	equ	2	;used in calc nearest sounds


******************** Weapon Sturucture Equates ****************************

number_of_weapons	equ	16


MAX_CRITICAL_ENERGY	equ	playerENERGY/4

