	.68000
	.text


save_game_screen:
		move.w	#$00e0,CLUT+(255*2)
	if 0

	st	save_game
	jsr	create_eeprom_buffer
	sf	save_game
	rts

	else
	
	sf	save_exit
	sf	save_choice
.loop:	bsr	display_save_screen
	tst.b	save_exit
	bne.s	.quit
	jsr	read_joypad
	move.l	joyedge1,d0
	
	btst	#FIRE_A,d0
	bne.s	.quit
	btst	#FIRE_B,d0
	bne.s	.quit
	btst	#FIRE_C,d0
	bne.s	.quit
	
	btst	#LEFT_B,d0
	bne.s	.left
	btst	#RIGHT_B,d0
	bne.s	.right

	btst	#UP_B,d0
	bne.s	.left
	btst	#DOWN_B,d0
	bne.s	.right

	bra.s	.loop	
.left:
	eor.b	#1,save_choice
	bra.s	.loop	
.right:
	eor.b	#1,save_choice
	bra.s	.loop
.quit:
	tst.b	save_choice
	bne.s	.exit

	bsr	add_save_game_sprite
	jsr	NEW_OL
	jsr	add_choose_backdrop
	st	save_game
	jsr	create_eeprom_buffer
	sf	save_game
	rts
.exit:	jsr	NEW_OL
	jsr	add_choose_backdrop
	rts

add_save_game_sprite:
		jsr	NEW_OL
		jsr	add_choose_backdrop
		
		
		move.w	#16,d4
		move.w	#(320-152)/2,d0
		move.w	screen_height,d1
		sub.w	#34,d1
		asr.w	#1,d1
		bsr	display_option_sprite
		
		move.w	#17,d4
		move.w	#(320-256)/2,d0
		move.w	screen_height,d1
		sub.w	#54,d1
		asr.w	#1,d1
		jsr	display_option_sprite
		or.b	#%01000000,10(a0)	;make the sprite transparent
		move.w	#shadow_colour,d0
		jsr	add_colour_to_sprite

		rts

display_save_screen:
		jsr	NEW_OL
		jsr	add_choose_backdrop

		move.w	#17,d4
		move.w	#(320-256)/2,d0
		move.w	screen_height,d1
		sub.w	#54+48+16+10+16,d1
		asr.w	#1,d1
		jsr	display_option_sprite
		or.b	#%01000000,10(a0)	;make the sprite transparent
		move.w	#shadow_colour,d0
		jsr	add_colour_to_sprite

			
		move.w	#11,d4
		move.w	screen_height,d1
		move.w	#(320-234)/2,d0
		asr.w	#1,d1
		sub.w	#40+16+8,d1
		bsr	display_option_sprite



		moveq	#0,d7
		move.w	#14,d4
		move.w	#(320-108)/2,d0
		
		move.w	screen_height,d1
		asr.w	#1,d1
		bsr.s	save_choose

		moveq	#1,d7
		move.w	#12,d4
		move.w	#(320-150)/2,d0
		
		move.w	screen_height,d1
		asr.w	#1,d1
		add.w	#40,d1
save_choose:	cmp.b	save_choice,d7
		bne.s	.just_show

		moveq	#%10000,d7
		and.l	clock,d7
		bne.s	.just_show
		addq	#1,d4

.just_show:	
		movem.w	d0/d1/d4,-(sp)
		move.w	#(320-172)/2,d0
		sub.w	#12,d1
		move.w	#18,d4
		jsr	display_option_sprite
		or.b	#%01000000,10(a0)	;make the sprite transparent
		move.w	#shadow_colour,d0
		jsr	add_colour_to_sprite
		movem.w	(sp)+,d0/d1/d4

		bra	display_option_sprite





	.bss
save_exit:	ds.b	1
save_choice:	ds.b	1
	endif

