SCORE_DIGIT_SPRITES	equ	17
SCORE_DIGIT_SPRITES1	equ	408

	.68000
	.text
; enter with d7 = value to be added to score in BCD format
;a6 points to the weapon structure of object to add points to

ADD_TO_SCORE:
	
	movem.l	d7/a1/a6,-(sp)
	lea	player1weapons,a6	;bodge !!!!!!!!
	lea	PLAYER_SCORE+4(a6),a6
	move.l	sp,a1			;save pointer to value to be added
	move.l	d7,-(sp)		;save that value
	and	#~%10000,ccr		;clear the x flag
	abcd	-(a1),-(a6)		;add the 2 numbers together
	abcd	-(a1),-(a6)
	abcd	-(a1),-(a6)
	abcd	-(a1),-(a6)
	addq.l	#4,sp			;realign the stack
	movem.l	(sp)+,d7/a1/a6		;restore the original values
	rts


;enter with
;		d0 = x position
;		d1 = y position
;		a5 = addr of weapons structure

DISPLAY_SCORE:
		movem.l	d0-a6,-(Sp)
		lea	PLAYER_SCORE(a5),a5
		lea	eight_bytes,a4


		moveq	#4-1,d6
.lp2:		moveq	#$f,d5
		move.b	(a5)+,d4		;BCD 2 digits
		and.b	d4,d5
		lsr.b	#4,d4
		move.b	d4,(a4)+
		move.b	d5,(a4)+
		dbf	d6,.lp2			;do all digits in score
	
		lea	eight_bytes,a4
		tst.b	(a4)
		bne.s	.exit
		moveq	#7-1,d6
.lpa:		move.b	#" ",(a4)+
		tst.b	(a4)
		bne.s	.exit
		dbf	d6,.lpa
.exit:

		lea	eight_bytes,a6
		move.w	#8,-(sp)
.loop:		moveq	#0,d4
		move.b	(a6)+,d4
		cmp.b	#" ",d4
		beq.s	.skip_space
		add.w	#SCORE_DIGIT_SPRITES1,d4
		
		move.w	d0,-(sp)
		move.w	d1,-(sp)

		lea	level_sprites,a0
		jsr	print_a_sprite_normal_no_clip	;print the number

		move.w	(sp)+,d1
		move.w	(sp)+,d0
.skip_space:	addq	#8,d0
		subq.w	#1,(sp)
		bne.s	.loop
		addq.w	#2,sp

		movem.l	(Sp)+,d0-a6

		rts


		bss

eight_bytes:	ds.b	8

