******************************* Maths Routines *******************************

* Notes:

******************************** Code Section ********************************

		text
		.68000

******************************** The Routines ********************************

anglematrix:	movem.w	d0-d2,xangle		;make a matrix at a6
		movem.w	frontmat,d0-d7/a5	;from angles in d0,d1,d2
		movem.w	d0-d7/a5,(a6)
		bsr	matroty
		bsr.s	matrotx
		bsr	matrotz
		rts

matrotx:	move.w	xangle,d0		;rotate a matrix
		beq	.norotx			;around it's x axis
		movem.l	a0-a5,-(sp)
		bsr	sincos
		move.w	d0,d6
		move.w	d1,d7
		movem.w	6(a6),a0-a5
		move.w	a0,d0
		move.w	a1,d1
		move.w	a2,d2
		move.w	a3,d3
		move.w	a4,d4
		move.w	a5,d5
		muls	d7,d0
		muls	d7,d1
		muls	d7,d2
		muls	d6,d3
		muls	d6,d4
		muls	d6,d5
		sub.l	d3,d0
		sub.l	d4,d1
		sub.l	d5,d2
		add.l	d0,d0
		add.l	d0,d0
		add.l	d1,d1
		add.l	d1,d1
		add.l	d2,d2
		add.l	d2,d2
		swap	d0
		swap	d1
		swap	d2
		exg	d0,a0
		exg	d1,a1
		exg	d2,a2
		move.w	a3,d3
		move.w	a4,d4
		move.w	a5,d5
		muls	d6,d0
		muls	d6,d1
		muls	d6,d2
		muls	d7,d3
		muls	d7,d4
		muls	d7,d5
		add.l	d0,d3
		add.l	d1,d4
		add.l	d2,d5
		add.l	d3,d3
		add.l	d3,d3
		add.l	d4,d4
		add.l	d4,d4
		add.l	d5,d5
		add.l	d5,d5
		swap	d3
		swap	d4
		swap	d5
		exg	d0,a0
		exg	d1,a1
		exg	d2,a2
		movem.w	d0-d5,6(a6)
		movem.l	(sp)+,a0-a5
.norotx:
		rts

matroty:	move.w	yangle,d0		;rotate a matrix
		beq	.noroty			;around it's y axis
		movem.l	a0-a5,-(sp)
		bsr	sincos
		move.w	d0,d6
		move.w	d1,d7
		movem.w	(a6),a0-a2
		movem.w	12(a6),a3-a5
		move.w	a0,d0
		move.w	a1,d1
		move.w	a2,d2
		move.w	a3,d3
		move.w	a4,d4
		move.w	a5,d5
		muls	d7,d0
		muls	d7,d1
		muls	d7,d2
		muls	d6,d3
		muls	d6,d4
		muls	d6,d5
		sub.l	d3,d0
		sub.l	d4,d1
		sub.l	d5,d2
		add.l	d0,d0
		add.l	d0,d0
		add.l	d1,d1
		add.l	d1,d1
		add.l	d2,d2
		add.l	d2,d2
		swap	d0
		swap	d1
		swap	d2
		movem.w	d0-d2,(a6)
		move.w	a0,d0
		move.w	a1,d1
		move.w	a2,d2
		move.w	a3,d3
		move.w	a4,d4
		move.w	a5,d5
		muls	d6,d0
		muls	d6,d1
		muls	d6,d2
		muls	d7,d3
		muls	d7,d4
		muls	d7,d5
		add.l	d3,d0
		add.l	d4,d1
		add.l	d5,d2
		add.l	d0,d0
		add.l	d0,d0
		add.l	d1,d1
		add.l	d1,d1
		add.l	d2,d2
		add.l	d2,d2
		swap	d0
		swap	d1
		swap	d2
		movem.w	d0-d2,12(a6)
		movem.l	(sp)+,a0-a5
.noroty:
		rts

matrotz:	move.w	zangle,d0 		;rotate a matrix
		beq	.norotz			;around it's z axis
		movem.l	a0-a5,-(sp)
		bsr	sincos
		move.w	d0,d6
		move.w	d1,d7
		movem.w	(a6),a0-a5
		move.w	a0,d0
		move.w	a1,d1
		move.w	a2,d2
		move.w	a3,d3
		move.w	a4,d4
		move.w	a5,d5
		muls	d7,d0
		muls	d7,d1
		muls	d7,d2
		muls	d6,d3
		muls	d6,d4
		muls	d6,d5
		sub.l	d3,d0
		sub.l	d4,d1
		sub.l	d5,d2
		add.l	d0,d0
		add.l	d0,d0
		add.l	d1,d1
		add.l	d1,d1
		add.l	d2,d2
		add.l	d2,d2
		swap	d0
		swap	d1
		swap	d2
		exg	d0,a0
		exg	d1,a1
		exg	d2,a2
		move.w	a3,d3
		move.w	a4,d4
		move.w	a5,d5
		muls	d6,d0
		muls	d6,d1
		muls	d6,d2
		muls	d7,d3
		muls	d7,d4
		muls	d7,d5
		add.l	d0,d3
		add.l	d1,d4
		add.l	d2,d5
		add.l	d3,d3
		add.l	d3,d3
		add.l	d4,d4
		add.l	d4,d4
		add.l	d5,d5
		add.l	d5,d5
		swap	d3
		swap	d4
		swap	d5
		exg	d0,a0
		exg	d1,a1
		exg	d2,a2
		movem.w	d0-d5,(a6)
		movem.l	(sp)+,a0-a5
.norotz:
		rts

pointmatrix:	sub.l	d3,d0			;make a matrix pointing
		sub.l	d4,d1			;from position d3,d4,d5
		sub.l	d5,d2			;to position d0,d1,d2
		bsr	makeunitvec
		movem.w	d0-d2,12(a6)

		ext.l	d0			;create x axis from
		clr.l	d1			;vector product of
		ext.l	d2			;z axis with vertical
		exg.l	d0,d2			;vector
		neg.l	d2
		bsr	makeunitvec
		movem.w	d0-d2,(a6)

		movem.w	12(a6),d3-d5		;get z axis back

		move.w	d3,d6			;calculate y axis
		move.w	d4,d7
		muls	d1,d6
		muls	d0,d7
		sub.l	d7,d6
		swap	d6
		add.w	d6,d6
		add.w	d6,d6
		move.w	d6,10(a6)

		move.w	d5,d6
		move.w	d3,d7
		muls	d0,d6
		muls	d2,d7
		sub.l	d7,d6
		swap	d6
		add.w	d6,d6
		add.w	d6,d6
		move.w	d6,8(a6)

		move.w	d4,d6
		move.w	d5,d7
		muls	d2,d6
		muls	d1,d7
		sub.l	d7,d6
		swap	d6
		add.w	d6,d6
		add.w	d6,d6
		move.w	d6,6(a6)
		rts

flatpointmatrix:
		sub.l	d3,d0			;make a matrix pointing
		clr.l	d1			;from position d3,d4,d5
		sub.l	d5,d2			;to position d0,d1,d2
		bsr	makeunitvec		;only in xz plane
		movem.w	d0-d2,12(a6)

		exg.l	d0,d2			;generate x axis by rotating
		neg.w	d2			;z axis by 90 degrees
		movem.w	d0-d2,(a6)

		moveq.l	#0,d0			;and the y axis points
		move.w	#$4000,d1		;straight up
		moveq.l	#0,d2
		movem.w	d0-d2,6(a6)
		rts

matmult:	movem.w	(a4)+,d4-d6		;multiply two matrices
		move.w	d4,d0			;at a4 and a5
		move.w	d5,d1			;and put the result
		move.w	d6,d2			;at a6
		muls	(a5)+,d0
		muls	4(a5),d1
		muls	10(a5),d2
		add.l	d1,d0
		add.l	d2,d0
		add.l	d0,d0
		add.l	d0,d0
		swap	d0
		move.w	d4,d1
		move.w	d5,d2
		move.w	d6,d3
		muls	(a5)+,d1
		muls	4(a5),d2
		muls	10(a5),d3
		add.l	d2,d1
		add.l	d3,d1
		add.l	d1,d1
		add.l	d1,d1
		swap	d1
		muls	(a5)+,d4
		muls	4(a5),d5
		muls	10(a5),d6
		add.l	d5,d4
		add.l	d6,d4
		add.l	d4,d4
		add.l	d4,d4
		swap	d4
		movem.w	d0-d1/d4,(a6)
		subq.l	#6,a5

		movem.w	(a4)+,d4-d6
		move.w	d4,d0
		move.w	d5,d1
		move.w	d6,d2
		muls	(a5)+,d0
		muls	4(a5),d1
		muls	10(a5),d2
		add.l	d1,d0
		add.l	d2,d0
		add.l	d0,d0
		add.l	d0,d0
		swap	d0
		move.w	d4,d1
		move.w	d5,d2
		move.w	d6,d3
		muls	(a5)+,d1
		muls	4(a5),d2
		muls	10(a5),d3
		add.l	d2,d1
		add.l	d3,d1
		add.l	d1,d1
		add.l	d1,d1
		swap	d1
		muls	(a5)+,d4
		muls	4(a5),d5
		muls	10(a5),d6
		add.l	d5,d4
		add.l	d6,d4
		add.l	d4,d4
		add.l	d4,d4
		swap	d4
		movem.w	d0-d1/d4,6(a6)
		subq.l	#6,a5

		movem.w	(a4),d4-d6
		move.w	d4,d0
		move.w	d5,d1
		move.w	d6,d2
		muls	(a5)+,d0
		muls	4(a5),d1
		muls	10(a5),d2
		add.l	d1,d0
		add.l	d2,d0
		add.l	d0,d0
		add.l	d0,d0
		swap	d0
		move.w	d4,d1
		move.w	d5,d2
		move.w	d6,d3
		muls	(a5)+,d1
		muls	4(a5),d2
		muls	10(a5),d3
		add.l	d2,d1
		add.l	d3,d1
		add.l	d1,d1
		add.l	d1,d1
		swap	d1
		muls	(a5),d4
		muls	6(a5),d5
		muls	12(a5),d6
		add.l	d5,d4
		add.l	d6,d4
		add.l	d4,d4
		add.l	d4,d4
		swap	d4
		movem.w	d0-d1/d4,12(a6)
		rts

root:		movem.l	d1-d5,-(sp)

		moveq.l	#0,d1			;calculate a square root
		moveq.l	#0,d2
		moveq.l	#0,d3
		moveq.l	#15,d5
.rlp:
		add.l	d0,d0
		addx.l	d1,d1
		add.l	d0,d0
		addx.l	d1,d1
		add.l	d3,d3
		move.l	d3,d4
		add.l	d4,d4
		addq.l	#1,d4
		sub.l	d4,d1
		bmi.s	.2
		addq.l	#1,d3
		dbf	d5,.rlp
		move.l	d3,d0
		cmp.l	d3,d1
		ble.s	.1
		addq.w	#1,d0
.1:
		movem.l	(sp)+,d1-d5
		rts
.2:
		add.l	d4,d1
		dbf	d5,.rlp
		move.l	d3,d0
		cmp.l	d3,d1
		ble.s	.3
		addq.w	#1,d0
.3:
		movem.l	(sp)+,d1-d5
		rts

sincos:		lea	sintab,a5		;get sine/cosine in d0/d1
		add.w	d0,d0			;from angle in d0
		move.w	d0,d1
		add.w	#1024,d1
		and.w	#4095,d1
		move.w	0(a5,d0.w),d0
		move.w	0(a5,d1.w),d1
		rts

makeunitvec:	movem.l	d3-d5,-(sp)		;make d0.l/d1.l/d2.l into
		move.l	#16383,d3		;a unit vector
.s1:
		cmp.l	d3,d0			;squeeze it into fifteen
		ble.s	.s2			;bits if we have to
.s11:
		asr.l	#4,d0
		asr.l	#4,d1
		asr.l	#4,d2
		cmp.l	d3,d0
		bgt.s	.s11
.s2:
		cmp.l	d3,d1
		ble.s	.s3
.s22:
		asr.l	#4,d0
		asr.l	#4,d1
		asr.l	#4,d2
		cmp.l	d3,d1
		bgt.s	.s22
.s3:
		cmp.l	d3,d2
		ble.s	.s4
.s33:
		asr.l	#4,d0
		asr.l	#4,d1
		asr.l	#4,d2
		cmp.l	d3,d2
		bgt.s	.s33
.s4:
		neg.l	d3
		cmp.l	d3,d0
		bge.s	.s5
.s44:
		asr.l	#4,d0
		asr.l	#4,d1
		asr.l	#4,d2
		cmp.l	d3,d0
		blt.s	.s44
.s5:
		cmp.l	d3,d1
		bge.s	.s6
.s55:
		asr.l	#4,d0
		asr.l	#4,d1
		asr.l	#4,d2
		cmp.l	d3,d1
		blt.s	.s55
.s6:
		cmp.l	d3,d2
		bge.s	.s7
.s66:
		asr.l	#4,d0
		asr.l	#4,d1
		asr.l	#4,d2
		cmp.l	d3,d2
		blt.s	.s66
.s7:
		move.w	d0,d3
		move.w	d1,d4
		move.w	d2,d5
		muls	d0,d0
		muls	d1,d1
		muls	d2,d2
		add.l	d1,d0
		add.l	d2,d0
		bsr	root
		tst.w	d0
		bne.s	.notzero
		moveq.l	#1,d0
.notzero:
		swap	d3
		swap	d4
		swap	d5
		clr.w	d3
		clr.w	d4
		clr.w	d5
		asr.l	#2,d3
		asr.l	#2,d4
		asr.l	#2,d5
		divs	d0,d3
		divs	d0,d4
		divs	d0,d5
		move.w	d3,d0
		move.w	d4,d1
		move.w	d5,d2
		movem.l	(sp)+,d3-d5
		rts

******************************** Data Section ********************************

		data

********************************** Variables *********************************

		even

xangle:		dc.w	0
yangle:		dc.w	0
zangle:		dc.w	0

frontmat:	dc.w	$4000,0,0
		dc.w	0,$4000,0
		dc.w	0,0,$4000

backmat:	dc.w	-$4000,0,0
		dc.w	0,$4000,0
		dc.w	0,0,-$4000

leftmat:	dc.w	0,0,$4000
		dc.w	0,$4000,0
		dc.w	-$4000,0,0

rightmat:	dc.w	0,0,-$4000
		dc.w	0,$4000,0
		dc.w	$4000,0,0

upmat:		dc.w	$4000,0,0
		dc.w	0,0,-$4000
		dc.w	0,$4000,0

downmat:	dc.w	$4000,0,0
		dc.w	0,0,$4000
		dc.w	0,-$4000,0

****************** Sine Table Created With Amiga Power Basic *****************

sintab:		incbin	"game\\westy\\sintab.bin"
