macro	DEMO_RECORD
		IF	TEX_REC
		move.b	#DEMO_OFF,d0
		tst.w	TEXTURES_ON	
		beq.s	.write
		move.b	#DEMO_RECORD,d0
.write:		move.b	d0,demo_mode
		ENDIF
endm

macro	DEMO_PLAYBACK
		IF	TEX_REC
		tst.w	TEXTURES_ON
		beq.s	.no_way
.d_loop:	move.b	#DEMO_RERUN,demo_mode
		jsr	round
		bra.s	.d_loop
.no_way:
		ENDIF
endm

macro	BORDER colour
	move.l	#\colour,BORD1
endm

macro	RSRESET
rs_counter	set 0
endm

macro	RSB label,volume
\label		set	rs_counter
rs_counter	set	rs_counter+\volume
endm

macro	RB label
\label		set	rs_counter
rs_counter	set	rs_counter+1
endm


macro	RSW label,volume
\label		set	rs_counter
rs_counter	set	rs_counter+(\volume*2)
endm


macro	RSEVEN
rs_counter	set	((rs_counter+1)&$fffffffe)
endm	

macro	REPORT	address
	pea	\address
	move.w	#$f000,-(sp)
	move.w	#5,-(sp)
	move.w	#$b,-(sp)
	trap	#14
	illegal
endm

macro	RSL label,volume
\label		set	rs_counter
rs_counter	set	rs_counter+(\volume*4)
endm
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;structures


	RSRESET


	RSB	FILE_NAME,14
	RSL	FILE_LENGTH,1
	RSL	FILE_OFFSET,1





;;; macros for file handling

macro	GET_FILE_OFFSET
	lea	rom_file_table,a0
	add.l	FILE_OFFSET(a6),a0
	endm


macro	GET_FILE_LENGTH
	pea	(a0)
	GET_FILE_OFFSET
	move.l	4(a0),d0
	move.l	(sp)+,a0
	endm


macro	p_txt_1	label,count,y_pos,string
	
\label:
	dc.w	(320-(\count*FONT_WIDTH))/2,\y_pos
	dc.b	\string,0
	even
	dc.w	-1
	
	endm

macro	p_txt_2	label,count1,y_pos1,string1,count2,y_pos2,string2
	
\label:
	dc.w	(320-(\count1*FONT_WIDTH))/2,\y_pos1
	dc.b	\string1,0
	even
	dc.w	(320-(\count2*FONT_WIDTH))/2,\y_pos2
	dc.b	\string2,0
	even
	dc.w	-1
	
	endm
