	.bss
my_vdb:	ds.w	1
my_vde:	ds.w	1
screen_width:	ds.w	1
screen_height:	ds.w	1
	.text

;---------------------------------------------------------------------
; subroutine to build objlist:
;	expects:
;	a1:	ptr to source data base (provided by user)
;	a0:	ptr to dest   master object list (provided by user)
;	d2:	number of objects to process (provided by user)
;		(destroys d0, d1, d3)
;		a2 ends with olist head

build_olist:
; Adjust ptr to 4 phrase boundary and return pointer to it.
				; (inspired by fullblt.s)
	move.l	a0,a2
	
; Init the object counter. 
		
; Process an object:
proc_obj:
	cmp.l	#olist_master,a1	;TEST TEST TEST TEST
	beq.s	.ok1			;TEST TEST TEST TEST
	cmp.l	#olist_master1,a1	;TEST TEST TEST TEST
	beq.s	.ok1			;TEST TEST TEST TEST
	IF	THREE_LISTS		;TEST TEST TEST TEST
	cmp.l	#olist_master2,a1	;TEST TEST TEST TEST
	beq.s	.ok1			;TEST TEST TEST TEST
	ENDIF				;TEST TEST TEST TEST
	illegal				;TEST TEST TEST TEST
.ok1:					;TEST TEST TEST TEST
	moveq	#32,d7
	dbf	d2,stopme
	bra.s	quit_obj	; been processed.

stopme:
	moveq	#0,d0
	move.b	O_TYPE(a1),d0
	add.b	d0,d0
	jmp	.a_table(pc,d0.w)
	bra.s	d_loop
.a_table:
	bra.s	OBJECT_0_QUICK
	bra.s	OBJECT_1_QUICK
	bra.s	OBJECT_2_QUICK
	bra.s	OBJECT_3_QUICK
	bra.s	OBJECT_4_QUICK
	bra.s	JUMP_OBJECT
OBJECT_2_QUICK:
OBJECT_3_QUICK:
	illegal
	illegal
d_loop:
	dbf	d2,stopme
; Finished building the object list?

quit_obj:
; We're done, so:
; Write a stop object (zero's and type).

.no:	
	clr.l	(a0)+		
	move.l	#4,(a0)
 	rts	

OBJECT_4_QUICK:
	clr.l	(a0)
	move.l	#4,4(a0)
	add.w	d7,a0
	add.w	d7,a1
	bra	d_loop

OBJECT_0_QUICK:
	movem.l	(a1),d0/d1/d3/d4
	movem.l	d0/d1/d3/d4,(a0)
	add.w	d7,a0
	add.w	d7,a1
	move.l	a0,d0
	lsl.l	#5,d0
	or.l	d0,-32+2(a0)
	bra	d_loop

OBJECT_1_QUICK:
	movem.l	(a1)+,d0/d1/d3/d4/d5/d6
	movem.l	d0/d1/d3/d4/d5/d6,(a0)
	addq.l	#8,a1
	add.w	d7,a0
	move.l	a0,d0
	lsl.l	#5,d0
	or.l	d0,-32+2(a0)
	bra	d_loop

JUMP_OBJECT:
	moveq	#0,d0
	move.w	(a1)+,d0		;read y
	add.w	d0,d0
	add.w	my_vdb,d0
	lsl.l	#3,d0			;calculate the y position
	or.w	#3,d0
	moveq	#0,d1
	move.l	d1,(a0)+
	move.w	(a1)+,d1		;read condition code
	ror.l	#2,d1
	swap	d1			;==lsl.l	#14,d1
	or.l	d1,d0			;set the condition code
	move.l	d0,(a0)+

	moveq	#0,d0
	move.w	(a1)+,d0		;read number of objects to jump

	clr.l	(a0)+ 			;set next object to cc 0
	clr.w	(a0)+			;and YPOS = $7ff
	move.w	#%0011111111111011,(a0)+
	lea	32-6(a1),a1
	lea	16(a0),a0
	
	move.l	a0,d1			;set 2nd branch jump addr
	lsl.l	#5,d1
	or.l	d1,-32+2+8(a0)
	
	mulu	d7,d0
	add.l	a0,d0			;set 1st branch jump addr
	lsl.l	#5,d0
	or.l	d0,-32+2(a0)
	bra	d_loop	

	
	
